[File Transfer Plugin] Possible Need for Updating Plugin

Forge Component
(8)
Published on 2019-12-18 by Experts
8 votes
Published on 2019-12-18 by Experts

Good day

Whilst working on an application and struggling to get the cordova-plugin-file in File Plugin dependency versions in line for several other plugins, I found that the File Transfer Plugin code referenced by the Forge component is a little outdated.

I'm referring to this tagged version https://github.com/OutSystemsExperts/cordova-plugin-file-transfer.git#1.5.1.os specified in the extensibility options of the File Transfer Plugin

I needed version 6.0.2 of the cordova-file-plugin dependency in File Plugin to have my other plugin work, but the File Transfer Plugin required version 4.0.0 of cordova-file-plugin.

I then looked around a bit and found that the latest release  from the https://github.com/apache/cordova-plugin-file-transfer repo, namely https://github.com/apache/cordova-plugin-file-transfer.git#1.7.1, does support cordova-file-plugin 6.0.2 and by referencing that tagged version in the extensibility options of File Transfer Plugin resolved my issue.

Could you perhaps investigate and see whether it would be possible to update the File Transfer Plugin to mitigate this issue?


Kind regards,

Dylan